Bug 115888 - [patch] optionify sysutils/screen
Summary: [patch] optionify sysutils/screen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-28 01:10 UTC by edwin
Modified: 2007-10-11 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (577 bytes, patch)
2007-08-28 01:10 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2007-08-28 01:10:02 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2007-08-28 01:10:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

Over to maintainer
Comment 2 Cy Schubert 2007-10-11 05:45:10 UTC
The submitted patch was incomplete. Here is a more complete patch.

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/screen/Makefile,v
retrieving revision 1.66
diff -u -r1.66 Makefile
--- Makefile	23 Sep 2007 11:32:37 -0000	1.66
+++ Makefile	11 Oct 2007 04:41:54 -0000
@@ -17,19 +17,25 @@
 MAINTAINER=	cy@FreeBSD.org
 COMMENT=	A multi-screen window manager
 
+OPTIONS=	XTERM_256 "Enable support for 256 colour xterm" OFF \
+		NETHACK "Enable NetHack support" ON \
+		CJK "Treat CJK ambiguous characters as full width" OFF \
+		MAN "Build and install man pages" ON \
+		INFO "Build and install info documentation" ON
+
 GNU_CONFIGURE=	yes
-.if defined(NO_MAN)
-MAKE_ARGS+=	-DNO_MAN
-.else
+.if defined(WITH_MAN)
 MAN1=		screen.1
-.endif
-.if defined(NO_INFO)
-MAKE_ARGS+=	-DNO_INFO
 .else
+MAKE_ARGS+=	-DNO_MAN
+.endif
+.if defined(WITH_INFO)
 .if !exists(/usr/bin/install-info)
 RUN_DEPENDS+=	install-info:${PORTSDIR}/print/texinfo
 .endif
 INFO=		screen
+.else
+MAKE_ARGS+=	-DNO_INFO
 .endif
 
 NO_PACKAGE=	Tends to loop using 100% CPU when used from package - perhaps 
it hard-codes information about the build host
@@ -48,7 +54,7 @@
 CFLAGS+=	-DCOLORS256
 .endif
 
-.if defined(WITHOUT_NETHACK)
+.if !defined(WITH_NETHACK)
 CFLAGS+=	-DNONETHACK
 .endif
 

-- 
Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org

			e**(i*pi)+1=0
Comment 3 Dmitry Marakasov 2007-10-11 09:33:08 UTC
* Cy Schubert (Cy.Schubert@komquats.com) wrote:

Here's more correct description for NETHACK option

--- Makefile.patch begins here ---
--- Makefile.orig	Thu Oct 11 12:30:12 2007
+++ Makefile	Thu Oct 11 12:30:33 2007
@@ -18,7 +18,7 @@
 COMMENT=	A multi-screen window manager
 
 OPTIONS=	XTERM_256 "Enable support for 256 colour xterm" OFF \
-		NETHACK "Enable NetHack support" ON \
+		NETHACK "Enable nethack-style messages" ON \
 		CJK "Treat CJK ambiguous characters as full width" OFF \
 		MAN "Build and install man pages" ON \
 		INFO "Build and install info documentation" ON
--- Makefile.patch ends here ---

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 4 Cy Schubert freebsd_committer 2007-10-11 17:56:25 UTC
State Changed
From-To: open->closed

An updated version of the submitted patch was committed. Thanks.
Comment 5 dfilter service freebsd_committer 2007-10-11 17:58:41 UTC
cy          2007-10-11 16:58:37 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/screen      Makefile 
  Log:
  Implement options.
  
  PR:             115888
  Submitted by:   original patch by Edwin Groothuis <edwin@mavetju.org>
  
  Revision  Changes    Path
  1.67      +13 -7     ports/sysutils/screen/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"